#include	"sgl.h"
#include	"ring1.c"
#include	"ring2.c"
#include	"ring3.c"
#include	"ring4.c"
#include	"knustand.c"
#include	"knustd2.c"
#include	"knurun1.c"
#include	"knurun2.c"
#include	"knurun3.c"
#include	"knurun4.c"
#include	"knurun5.c"
#include	"knurun6.c"
#include	"knurun7.c"
#include	"knurun8.c"
#include	"knuhurt.c"
#include	"sonrun1.c"
#include	"sonrun2.c"
#include	"sonrun3.c"
#include	"sonrun4.c"
#include	"sonrun5.c"
#include	"sonrun6.c"
#include	"sonrun7.c"
#include	"sonrun8.c"
#include	"sonicgo.c"
#include	"knudown.c"
#include	"sonwar1.c"
#include	"sonwar2.c"
#include	"sonwar3.c"
#include	"sonwar4.c"
#include	"text2.c"
#include	"text1.c"
#include	"sxlogo.c"


FIXED stat[][XYZS] = {
	{toFIXED( 50),toFIXED(-130),toFIXED(169),toFIXED(1.0)},		//   ring1
	{toFIXED( 50),toFIXED(-130),toFIXED(169),toFIXED(1.0)},		//   ring2
	{toFIXED( 50),toFIXED(-130),toFIXED(169),toFIXED(1.0)},		//   ring3
	{toFIXED( 50),toFIXED(-130),toFIXED(169),toFIXED(1.0)},		//   ring4
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles stand
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 1
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 2
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 3
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 4
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 5
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 6
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 7
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles run 8
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles stand 2
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles hurt
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 1
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 2
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 3
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 4
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 5
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 6
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 7
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic run 8
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic go

	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 1
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 2
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 3
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 4
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 5
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 6
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 7
	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles invert run 8

	{toFIXED(-200),toFIXED( 65),toFIXED(169),toFIXED(1.0)},		//   knucles down

	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 1
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 2
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 3
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 4

	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 1
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 2
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 3
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 4
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 5
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 6
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 7
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic invert run 8

	{toFIXED(   0),toFIXED(130),toFIXED(169),toFIXED(1.0)},		//   texte2 (demo contest)
	{toFIXED(   0),toFIXED(130),toFIXED(169),toFIXED(1.0)},		//   texte1 (stealing is bad)
	{toFIXED(   0),toFIXED(0),toFIXED(169),toFIXED(1.0)},		//   sxlogo

	{toFIXED(-200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   knucles stand 2 invert
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 1 invert
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 2 invert
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 3 invert
	{toFIXED( 200),toFIXED( 50),toFIXED(169),toFIXED(1.0)},		//   sonic warn 4 invert
};
	
SPR_ATTR attr[] = {
	SPR_ATTRIBUTE(0,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(1,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(2,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(3,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(4,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(5,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   knucles run 1	
	SPR_ATTRIBUTE(6,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(7,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(8,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(9,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(10,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(11,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(12,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   knucles run 8
	SPR_ATTRIBUTE(13,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(14,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(15,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(16,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(17,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(18,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(19,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(20,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(21,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),
	SPR_ATTRIBUTE(22,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		
	SPR_ATTRIBUTE(23,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   sonic go

	SPR_ATTRIBUTE(24,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   knucles run 1	
	SPR_ATTRIBUTE(25,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(26,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(27,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(28,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(29,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(30,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),	
	SPR_ATTRIBUTE(31,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   knucles run 8

	SPR_ATTRIBUTE(32,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   knucles down
	
	SPR_ATTRIBUTE(33,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   sonic warn 1
	SPR_ATTRIBUTE(34,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   sonic warn 2
	SPR_ATTRIBUTE(35,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   sonic warn 3
	SPR_ATTRIBUTE(36,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   sonic warn 4

	SPR_ATTRIBUTE(37,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic invert run 1	
	SPR_ATTRIBUTE(38,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(39,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(40,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(41,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(42,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(43,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
	SPR_ATTRIBUTE(44,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic invert run 8

	SPR_ATTRIBUTE(45,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   texte 2
	SPR_ATTRIBUTE(46,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   texte 1
	SPR_ATTRIBUTE(47,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sxlogo

	SPR_ATTRIBUTE(48,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprHflip),		//   knucle stand 2 invert	
	SPR_ATTRIBUTE(49,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic warn 1 invert
	SPR_ATTRIBUTE(50,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic warn 2 invert
	SPR_ATTRIBUTE(51,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic warn 3 invert
	SPR_ATTRIBUTE(52,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),		//   sonic warn 4 invert
};

ANGLE angz[] = {
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),

	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),

	DEGtoANG(  0),

	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),

	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),

	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),

	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
	DEGtoANG(  0),
};



TEXTURE tex_spr[] = {
	TEXDEF(16,16,0),
	TEXDEF(16,16,256),
	TEXDEF(8,16,512),
	TEXDEF(16,16,640),
	TEXDEF(32,40,896),		//knuckles stand
	TEXDEF(32,40,2176),		//knucles run 1
	TEXDEF(40,40,3456),		//knucles run 2
	TEXDEF(40,40,5056),		//knucles run 3
	TEXDEF(40,40,6656),		//knucles run 4
	TEXDEF(32,40,8256),		//knucles run 5
	TEXDEF(32,40,9536),		//knucles run 6
	TEXDEF(40,40,10816),	//knucles run 7
	TEXDEF(40,40,12416),	//knucles run 8
	TEXDEF(32,40,14016),	//knucles stand 2
	TEXDEF(40,40,15296),	//knucles hurt
	TEXDEF(32,40,16896),	//sonic run 1
	TEXDEF(32,40,18176),	//sonic run 2
	TEXDEF(40,40,19456),	//sonic run 3
	TEXDEF(40,40,21056),	//sonic run 4
	TEXDEF(32,40,22656),	//sonic run 5
	TEXDEF(32,40,23936),	//sonic run 6
	TEXDEF(40,40,25216),	//sonic run 7
	TEXDEF(40,40,26816),	//sonic run 8
	TEXDEF(40,40,28416),	//sonic go
	TEXDEF(32,40,2176),		//knucles run 1
	TEXDEF(40,40,3456),		//knucles run 2
	TEXDEF(40,40,5056),		//knucles run 3
	TEXDEF(40,40,6656),		//knucles run 4
	TEXDEF(32,40,8256),		//knucles run 5
	TEXDEF(32,40,9536),		//knucles run 6
	TEXDEF(40,40,10816),	//knucles run 7
	TEXDEF(40,40,12416),	//knucles run 8
	TEXDEF(40,24,30016),	//knucles down
	TEXDEF(32,40,30976),	//sonic warn 1
	TEXDEF(32,40,32256),	//sonic warn 2
	TEXDEF(32,40,33536),	//sonic warn 3
	TEXDEF(32,40,34816),	//sonic warn 4
	TEXDEF(32,40,16896),	//sonic run 1
	TEXDEF(32,40,18176),	//sonic run 2
	TEXDEF(40,40,19456),	//sonic run 3
	TEXDEF(40,40,21056),	//sonic run 4
	TEXDEF(32,40,22656),	//sonic run 5
	TEXDEF(32,40,23936),	//sonic run 6
	TEXDEF(40,40,25216),	//sonic run 7
	TEXDEF(40,40,26816),	//sonic run 8
	TEXDEF(152,32,36096),	//texte 2
	TEXDEF(104,16,40960),	//texte 1
	TEXDEF(320,48,42624),	//sxlogo
	TEXDEF(32,40,14016),	//knucles stand 2 invert
	TEXDEF(32,40,30976),	//sonic warn 1 invert
	TEXDEF(32,40,32256),	//sonic warn 2 invert
	TEXDEF(32,40,33536),	//sonic warn 3 invert
	TEXDEF(32,40,34816),	//sonic warn 4 invert
};

PICTURE pic_spr[] = {
	PICDEF(0,COL_32K,ring1),
	PICDEF(1,COL_32K,ring2),
	PICDEF(2,COL_32K,ring3),
	PICDEF(3,COL_32K,ring4),
	PICDEF(4,COL_32K,knustand),
	PICDEF(5,COL_32K,knurun1),
	PICDEF(6,COL_32K,knurun2),
	PICDEF(7,COL_32K,knurun3),
	PICDEF(8,COL_32K,knurun4),
	PICDEF(9,COL_32K,knurun5),
	PICDEF(10,COL_32K,knurun6),
	PICDEF(11,COL_32K,knurun7),
	PICDEF(12,COL_32K,knurun8),
	PICDEF(13,COL_32K,knustd2),
	PICDEF(14,COL_32K,knuhurt),
	PICDEF(15,COL_32K,sonrun1),
	PICDEF(16,COL_32K,sonrun2),
	PICDEF(17,COL_32K,sonrun3),
	PICDEF(18,COL_32K,sonrun4),
	PICDEF(19,COL_32K,sonrun5),
	PICDEF(20,COL_32K,sonrun6),
	PICDEF(21,COL_32K,sonrun7),
	PICDEF(22,COL_32K,sonrun8),
	PICDEF(23,COL_32K,sonicgo),

	PICDEF(24,COL_32K,knurun1),
	PICDEF(25,COL_32K,knurun2),
	PICDEF(26,COL_32K,knurun3),
	PICDEF(27,COL_32K,knurun4),
	PICDEF(28,COL_32K,knurun5),
	PICDEF(29,COL_32K,knurun6),
	PICDEF(30,COL_32K,knurun7),
	PICDEF(31,COL_32K,knurun8),

	PICDEF(32,COL_32K,knudown),

	PICDEF(33,COL_32K,sonwar1),
	PICDEF(34,COL_32K,sonwar2),
	PICDEF(35,COL_32K,sonwar3),
	PICDEF(36,COL_32K,sonwar4),

	PICDEF(37,COL_32K,sonrun1),
	PICDEF(38,COL_32K,sonrun2),
	PICDEF(39,COL_32K,sonrun3),
	PICDEF(40,COL_32K,sonrun4),
	PICDEF(41,COL_32K,sonrun5),
	PICDEF(42,COL_32K,sonrun6),
	PICDEF(43,COL_32K,sonrun7),
	PICDEF(44,COL_32K,sonrun8),

	PICDEF(45,COL_32K,text2),
	PICDEF(46,COL_32K,text1),
	PICDEF(47,COL_32K,sxlogo),

	PICDEF(48,COL_32K,knustd2),
	PICDEF(49,COL_32K,sonwar1),
	PICDEF(50,COL_32K,sonwar2),
	PICDEF(51,COL_32K,sonwar3),
	PICDEF(52,COL_32K,sonwar4),
};
