#include	"sgl.h"
#include    "sddrvs.dat"
#include	"ring_m16.h"
#include	"bump448m.h"
#include	"hit_m16.h"

extern char takering[];
extern Uint32 takering_size;
extern PCM takering_dat ;

extern char bump448m[];
extern Uint32 bump448m_size;
extern PCM bump448m_dat ;

extern char hit[];
extern Uint32 hit_size;
extern PCM hit_dat ;

void init_sound()
{
    char sound_map[] = {0xff , 0xff} ;
    slInitSound(sddrvstsk , sizeof(sddrvstsk) , (Uint8 *)sound_map , sizeof(sound_map)) ;
}

void RingSound()
{
	slPCMOn(&takering_dat , takering , takering_size ) ;
}

void BumpSound()
{
	slPCMOn(&bump448m_dat , bump448m , bump448m_size ) ;
}

void HitSound()
{
	slPCMOn(&hit_dat , hit , hit_size ) ;
}

